5d4f6698992b785d65b34933e2afdc0b1ca64fa0
[rails.git] / Gemfile
1 # Gem source to use
2 source 'http://rubygems.org'
3
4 # Require rails
5 gem 'rails', '3.2.10'
6
7 # Require things which have moved to gems in ruby 1.9
8 gem 'bigdecimal', :platforms => :ruby_19
9
10 # Require the postgres database driver
11 gem 'pg'
12
13 # Load jquery support
14 gem 'jquery-rails'
15
16 # Load R2 for RTL conversion
17 gem 'r2'
18
19 # Load rails plugins
20 gem 'rails-i18n', ">= 0.6.3"
21 gem 'dynamic_form'
22 gem 'rinku', '>= 1.2.2', :require => 'rails_rinku'
23 gem 'oauth-plugin', '>= 0.4.1', :require => 'oauth-plugin'
24 gem 'open_id_authentication', '>= 1.1.0'
25 gem 'validates_email_format_of', '>= 1.5.1'
26 gem 'composite_primary_keys', '>= 5.0.10'
27 gem 'http_accept_language', '>= 1.0.2'
28 gem 'paperclip', '~> 2.0'
29 gem 'deadlock_retry', '>= 1.2.0'
30 gem 'i18n-js', '>= 3.0.0.rc2'
31 gem 'rack-cors'
32
33 # We need ruby-openid 2.2.0 or later for ruby 1.9 support
34 gem 'ruby-openid', '>= 2.2.0'
35
36 # Markdown formatting support
37 gem 'redcarpet'
38
39 # Character conversion support for ruby 1.8
40 gem 'iconv', :platforms => :ruby_18
41
42 # Load libxml support for XML parsing and generation
43 gem 'libxml-ruby', '>= 2.0.5', :require => 'libxml'
44
45 # Use for HTML sanitisation
46 gem 'sanitize'
47 gem 'htmlentities'
48
49 # Load SystemTimer for implementing request timeouts
50 gem 'SystemTimer', '>= 1.1.3', :require => 'system_timer', :platforms => :ruby_18
51
52 # Load httpclient for SOAP support for Quova GeoIP queries
53 gem 'httpclient'
54
55 # Load memcache in case we are using it
56 gem 'memcached', '>= 1.4.1'
57
58 # Gems needed for running tests
59 group :test do
60   gem 'timecop'
61   gem 'minitest', :platforms => :ruby_19
62 end
63
64 # Gems needed for compiling assets
65 group :assets do
66   gem 'sass-rails', '~> 3.2.3'
67   gem 'coffee-rails', '~> 3.2.1'
68   gem 'uglifier', '>= 1.0.3'
69   gem 'therubyracer', '~> 0.10.2'
70   gem 'ejs'
71 end